Get Loyalty Rule Edits
curl --request GET \
--url https://admin.snagsolutions.io/api/loyalty/rule_edits \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/rule_edits"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/rule_edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"loyaltyRuleId": "123e4567-e89b-12d3-a456-426614174001",
"websiteId": "123e4567-e89b-12d3-a456-426614174002",
"organizationId": "123e4567-e89b-12d3-a456-426614174003",
"editedByUserId": "123e4567-e89b-12d3-a456-426614174004",
"editedAt": "2021-08-30T20:00:00Z",
"action": "create",
"data": {
"name": "New Rule Name"
},
"previousData": {
"name": "Old Rule Name"
},
"comment": "Updated rule name"
}
],
"hasNextPage": true
}"Forbidden, Could not validate api key"Loyalty
Get Loyalty Rule Edits
Retrieve configured loyalty rule edits with optional pagination and filters
GET
/
api
/
loyalty
/
rule_edits
Get Loyalty Rule Edits
Authorizations
Query Parameters
ID of the loyalty rule
Example:
"123e4567-e89b-12d3-a456-426614174000"
Unique identifier for the organization to filter by
Example:
"123e4567-e89b-12d3-a456-426614174001"
Unique identifier for the website to filter by
Example:
"123e4567-e89b-12d3-a456-426614174002"
Pagination cursor to start after a specific rule edit ID
Example:
"123e4567-e89b-12d3-a456-426614174100"
Maximum number of edits to return
Required range:
1 <= x <= 1000Example:
20
Was this page helpful?